Auth version not defined ? #31

Closed
wants to merge 4 commits into
from

Conversation

Projects
None yet
2 participants

Hi,

I'm still a newbie in ruby (not understanding all the vm implication).
I want to retrieve my google analitycs info using gattica

require 'rubygems'
require 'gattica'

ga = Gattica.new({  
  :email => $GA_ACCOUNT,
  :password => $GA_PASSWD,
  :profile_id => $GA_PROFILE})

I've the current error message

/usr/local/share/gems/gems/cannikin-gattica-0.4.0/lib/gattica/auth.rb:14:in `<class:Auth>': uninitialized constant Gattica::Auth::VERSION (NameError)
    from /usr/local/share/gems/gems/cannikin-gattica-0.4.0/lib/gattica/auth.rb:8:in `<module:Gattica>'
    from /usr/local/share/gems/gems/cannikin-gattica-0.4.0/lib/gattica/auth.rb:4:in `<top (required)>'
    from /usr/local/share/ruby/site_ruby/rubygems/core_ext/kernel_require.rb:45:in `require'
    from /usr/local/share/ruby/site_ruby/rubygems/core_ext/kernel_require.rb:45:in `require'
    from /usr/local/share/gems/gems/cannikin-gattica-0.4.0/lib/gattica.rb:18:in `<top (required)>'
    from /usr/local/share/ruby/site_ruby/rubygems/core_ext/kernel_require.rb:110:in `require'
    from /usr/local/share/ruby/site_ruby/rubygems/core_ext/kernel_require.rb:110:in `rescue in require'
    from /usr/local/share/ruby/site_ruby/rubygems/core_ext/kernel_require.rb:35:in `require'
    from analitycs.rb:2:in `<main>'

How can I solve this ?

Regards,

my fault, I was using canikin implementation

gem install cannikin-gattica -s http://gems.github.com

instead of official one

gem install chrisle-gattica

waghanza closed this Mar 10, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment